## org.eclipse.datatools.connectivity.oda.design
Enum TextFormatType

    java.lang.Object
      java.lang.Enum<TextFormatType>
          org.eclipse.datatools.connectivity.oda.design.TextFormatType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TextFormatType>, org.eclipse.emf.common.util.Enumerator

    public enum TextFormatType

extends java.lang.Enum<TextFormatType>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Text Format Type', and utility methods for working with them. The type of text content of the data column values, i.e. plain text, HTML or RTF. It provides a hint on the type of text control to use for displaying the data value, e.g. a Text Control vs. Dynamic Text Control.

See Also:
  `DesignPackage.getTextFormatType()`

Enum Constant Summary
`HTML_LITERAL` The 'HTML' literal object.
`PLAIN_LITERAL` The 'Plain' literal object.
`RTF_LITERAL` The 'RTF' literal object.

Field Summary
`static java.lang.String` `copyright`
`static int` `HTML` The 'HTML' literal value.
`static int` `PLAIN` The 'Plain' literal value.
`static int` `RTF` The 'RTF' literal value.
`static java.util.List<TextFormatType>` `VALUES` A public read-only list of all the 'Text Format Type' enumerators.

Method Summary
`static TextFormatType` `get(int value)` Returns the 'Text Format Type' literal with the specified integer value.
`static TextFormatType` `get(java.lang.String literal)` Returns the 'Text Format Type' literal with the specified literal value.
`static TextFormatType` `getByName(java.lang.String name)` Returns the 'Text Format Type' literal with the specified name.
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation.
`static TextFormatType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TextFormatType[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PLAIN_LITERAL

    public static final TextFormatType PLAIN_LITERAL

  The 'Plain' literal object.

  See Also:
    `PLAIN`

### HTML_LITERAL

    public static final TextFormatType HTML_LITERAL

  The 'HTML' literal object.

  See Also:
    `HTML`

### RTF_LITERAL

    public static final TextFormatType RTF_LITERAL

  The 'RTF' literal object.

  See Also:
    `RTF`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

### PLAIN

    public static final int PLAIN

  The 'Plain' literal value.

  See Also:
    `PLAIN_LITERAL`, Constant Field Values

### HTML

    public static final int HTML

  The 'HTML' literal value.

  See Also:
    `HTML_LITERAL`, Constant Field Values

### RTF

    public static final int RTF

  The 'RTF' literal value.

  See Also:
    `RTF_LITERAL`, Constant Field Values

### VALUES

    public static final java.util.List<TextFormatType> VALUES

  A public read-only list of all the 'Text Format Type' enumerators.

Method Detail

### values

    public static final TextFormatType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(TextFormatType c : TextFormatType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static TextFormatType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static TextFormatType get(java.lang.String literal)

  Returns the 'Text Format Type' literal with the specified literal value.

### getByName

    public static TextFormatType getByName(java.lang.String name)

  Returns the 'Text Format Type' literal with the specified name.

### get

    public static TextFormatType get(int value)

  Returns the 'Text Format Type' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<TextFormatType>`